Solid Edge Framework Type Library
GetInsightXTOrTCPreferenceValues Method

This is two dimensional array. Each row represents preference information. Each column will contain in and out information

  1. First column represents preference name. (in) This is mandatory.
  2. Second column represents preference value in variant. (out)
Caller should create two dimensional array with 2 columns otherwise API fails with invalid argument. The caller should provide preference names in first column only.
Description
Gets TC or InsightXT preference value
Syntax
Visual Basic
Public Sub GetInsightXTOrTCPreferenceValues( _
   ByRef pvarPreferenceInfo As Variant _
) 
Parameters
pvarPreferenceInfo

This is two dimensional array. Each row represents preference information. Each column will contain in and out information

  1. First column represents preference name. (in) This is mandatory.
  2. Second column represents preference value in variant. (out)
Caller should create two dimensional array with 2 columns otherwise API fails with invalid argument. The caller should provide preference names in first column only.
Example
Private Sub Command1_Click()
    On Error Resume Next
    Dim objApplication As SolidEdgeFramework.Application
    Dim objSolidEdgeInsightXT  As SolidEdgeFramework.SolidEdgeInsightXT
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objSolidEdgeInsightXT = objApplication.SolidEdgeInsightXT

    'Example takes two preference names
    Dim PreferenceInfo(1, 1) As Object
    PreferenceInfo(0, 0) = "TC_Allow_Longer_ID_Name"
    PreferenceInfo(1, 0) = "InsightXT_BOM_Synchronize"
    
    Call objSolidEdgeInsightXT.GetInsightXTOrTCPreferenceValues(PreferenceInfo)
    
    Dim PreferenceValue As Object
    'Boolean value true or false for preference TC_Allow_Longer_ID_Name
    PreferenceValue = PreferenceInfo(0, 1)
    'Boolean value true or false for preference InsightXT_BOM_Synchronize
    PreferenceValue = PreferenceInfo(1, 1)

    Set objSolidEdgeInsightXT = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeInsightXT Object  | SolidEdgeInsightXT Members  | Solid Edge ST4 - What's New